# $Revision: 1.68 $, $Date: 2011/11/24 19:22:48 $
#
# TODO: global fonts installation
#
# Workaround for xine-lib.spec - libstk.spec updating:
#       1. make-request -r --without stk xine-lib
#       2. make-request -r libstk
#	3. bump release of xine-lib
#	4. make-request -r xine-lib
#
# Conditional build:
%bcond_without	static_libs 	# build without static libraries
%bcond_without	xine		# build without xine support
#
%define		snap	20061117
%define		rel	40
Summary:	LibSTK - graphical widget set written in C++
Summary(pl.UTF-8):	LibSTK - zbiór graficznych widgetów napisany w C++
Name:		libstk
Version:	0.2.0
Release:	0.%{snap}.%{rel}
License:	Libstk Library License (relaxed LGPL)
Group:		Libraries
#Source0:	http://www.libstk.net/sites/www.libstk.net/files/%{name}-%{snap}.tar.gz
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5:	350c5e47de8a54d19372bcf6ca926540
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-am.patch
URL:		http://www.libstk.net/
BuildRequires:	DirectFB-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
%{?with_xine:BuildRequires:	xine-lib-devel}
Requires:	fonts-TTF-bitstream-vera
%{?with_xine:Provides:	%{name}(xine) = %{version}-%{release}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibSTK is graphical widget set designed to meet the needs of today's
emerging class of embedded media platforms, such as set-top boxes, and
vehicular media systems. LibSTK abstracts the graphic and event
systems, allowing it to be used on any platform with a C++-compliant
compiler.

%description -l pl.UTF-8
LibSTK to zestaw widgetów graficznych zaprojektowany aby sprostać
dzisiejszym potrzebom pojawiającej się klasy platform z osadzonymi
mediami. LibSTK tworzy abstrakcję systemów grafiki i zdarzeń,
pozwalając na używanie ich na każdej platformie z kompilatorem zgodnym
z C++.

%package devel
Summary:	Header files for LibSTK library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibSTK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel
Requires:	SDL-devel >= 1.2.0
Requires:	boost-devel >= 1.35.0
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	libpng-devel
%{?with_xine:Requires:	xine-lib-devel}

%description devel
Header files for LibSTK library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibSTK.

%package static
Summary:	Static LibSTK library
Summary(pl.UTF-8):	Statyczna biblioteka LibSTK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibSTK library.

%description static -l pl.UTF-8
Statyczna biblioteka LibSTK.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# workaround for xine headers
CPPFLAGS="-DHAVE_BASENAME"
%configure \
	--enable-directfb \
	--enable-fbdev \
	--enable-sdl \
	%{!?with_static_libs:--enable-static=no} \
	%{?with_xine:--enable-xine}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts
for FONT in Vera*.ttf; do
	%{__rm} "$FONT"
	ln -s %{_datadir}/fonts/TTF/"$FONT" "$FONT"
done
rm copyright

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO doc/license.txt
%attr(755,root,root) %{_libdir}/libstk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstk.so.0
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libstk.so
%{_libdir}/libstk.la
%{_includedir}/libstk-*
%{_pkgconfigdir}/libstk.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libstk.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libstk.spec,v $
Revision 1.68  2011/11/24 19:22:48  arekm
- release 40

Revision 1.67  2011/07/24 15:47:37  arekm
- release 39

Revision 1.66  2011/07/01 11:52:32  lisu
- reverse changes in "workaround"

Revision 1.65  2011/07/01 09:09:50  lisu
- rel 38

Revision 1.64  2011/07/01 09:07:05  lisu
- better "Workaround for xine-lib.spec - libstk.spec updating"

Revision 1.63  2011/06/16 10:03:39  lisu
- rel 37

Revision 1.62  2011/05/04 13:49:50  arekm
- release 36

Revision 1.61  2011/02/27 06:22:16  arekm
- release 35

Revision 1.60  2011/02/26 07:50:11  arekm
- rel 34

Revision 1.59  2011/01/30 01:39:10  sparky
- -devel: changed BR: to R: DirectFB-devel

Revision 1.58  2010/12/10 15:09:25  lisu
- description how to update xine-lib - libstk properly

Revision 1.57  2010/12/09 10:02:50  lisu
- rel .33

Revision 1.56  2010/12/09 09:38:42  lisu
- rel .32

Revision 1.55  2010/12/09 09:11:59  lisu
- rel .31

Revision 1.54  2010/11/24 11:12:38  arekm
- rel .30

Revision 1.53  2010/11/03 23:53:11  shadzik
- rel 29

Revision 1.52  2010/03/19 12:49:05  hawk
- release .28

Revision 1.51  2010/02/28 11:22:29  shadzik
- rel .27

Revision 1.50  2010/02/27 17:31:03  hawk
- release .26

Revision 1.49  2010/01/29 20:45:10  arekm
- rel .25

Revision 1.48  2010/01/18 12:55:48  sparky
- use external vera fonts

Revision 1.47  2009/12/31 16:25:27  megabajt
- release 24

Revision 1.46  2009/08/29 09:50:25  pluto
- rebuild with boost-1.40.0

Revision 1.45  2009/06/21 12:38:31  hawk
- fixed install stage, release 22

Revision 1.44  2009/06/21 11:46:04  hawk
- release 21

Revision 1.43  2009/03/13 20:09:46  hawk
- release 20

Revision 1.42  2008/11/07 15:04:48  pluto
- reelase 19 for rebuild w/ boost-1.37.0.

Revision 1.41  2008/10/14 10:00:11  hawk
- release 18

Revision 1.40  2008/10/02 08:12:44  arekm
- rel .17

Revision 1.39  2008/10/02 08:06:34  arekm
- rel .16.1

Revision 1.38  2008/10/02 07:05:48  arekm
- rel .16

Revision 1.37  2008/10/02 06:48:18  arekm
- rel .15

Revision 1.36  2008/08/22 21:16:39  arekm
- rel .14

Revision 1.35  2008/08/22 16:37:36  arekm
- rel 13

Revision 1.34  2008/08/21 12:02:36  hawk
- release 12, killed underscore insanity too

Revision 1.33  2008-06-11 15:50:12  hawk
- release 11

Revision 1.32  2008-06-03 11:00:53  arekm
- rel 10

Revision 1.31  2008-06-02 01:03:15  wolvverine
- rel. x.8

Revision 1.30  2008-05-29 14:47:34  qboosh
- ghost soname symlink

Revision 1.29  2008-05-14 14:48:16  hawk
- fixed Rs in devel subpackage for boost 1.35

Revision 1.28  2008-05-11 17:37:56  shadzik
- rel .6

Revision 1.27  2008-04-29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.26  2007-07-26 17:16:10  pluto
- release .5 for rebuild with boost-1.34.1.

Revision 1.25  2007/06/21 01:08:00  pluto
- release .4 for rebuild with new boost.

Revision 1.24  2007/04/19 22:31:22  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release .3.

Revision 1.23  2007/03/12 14:07:35  pluto
- release .2 for rebuild with new directfb soname.

Revision 1.22  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.20  2006/11/17 10:54:29  qboosh
- complete URL

Revision 1.19  2006/11/17 10:46:46  czarny
- updated URLs, as site moved to libstk.net
- 20061117 snapshot
- source from distfiles, as their site is broken

Revision 1.18  2006/01/27 21:40:15  pluto
- updated to 0.2.0-20051213.

Revision 1.17  2005/10/05 15:36:21  arekm
- rel .8

Revision 1.16  2005/09/22 21:45:10  twittner
- changed -fixes.patch:  kill `-gcc-mt-X_XX' suffixes from boost libraries
  names (it should be ok since boost.spec 1.47 rev.)
- added bcond_without static_libs
- rel. 7

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/12/22 07:35:05  qboosh
- release .6

Revision 1.13  2004/12/22 07:34:26  qboosh
- -devel R: xine-lib-devel (if built with xine)

Revision 1.12  2004/12/05 14:18:59  qboosh
- updated boost deps for updated fixes patch

Revision 1.11  2004/12/01 10:42:31  havner
- rel 5, fixed fixes patch

Revision 1.10  2004/12/01 07:42:37  havner
- rel 4

Revision 1.9  2004/09/11 13:06:19  havner
- reverted, rel 3

Revision 1.8  2004/09/11 06:09:31  havner
- turned off xine bcond to remove building loop

Revision 1.7  2004/07/02 22:02:57  grzegol
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.6  2004/05/13 21:10:58  qboosh
- doesn't link with xine, so -devel doesn't R: xine-lib-devel

Revision 1.5  2004/05/13 21:02:34  qboosh
- xine-enabled version Provides: libstk(xine)

Revision 1.4  2004/05/13 20:52:40  qboosh
- build with xine support

Revision 1.3  2004/05/08 18:44:47  qboosh
- explicit deps for boost-devel, it's used directly too

Revision 1.2  2004/05/08 18:17:50  qboosh
- updated to 20040507 snap (for boost 1.31), added fixes patch

Revision 1.1  2004/02/08 00:19:59  qboosh
- new
